summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-06-07 10:35:38 +0100
committerLeah Rowe <leah@libreboot.org>2024-06-07 10:35:38 +0100
commit7aa9f2240979950f88a3e686b765499be1e10ea6 (patch)
tree31b0344d0005006da7dc997013526cc149384f46 /script
parent06c78e1321736ed135c01d5ae11e3e0a47887137 (diff)
trees: fix listfile check in copy_elf()
don't check that the variable is empty check that the file itself exists or not this should fix the recent build issues Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/trees2
1 files changed, 1 insertions, 1 deletions
diff --git a/script/trees b/script/trees
index 34397edd..98bef371 100755
--- a/script/trees
+++ b/script/trees
@@ -290,7 +290,7 @@ mkpayload_grub()
copy_elf()
{
- [ -z "$listfile" ] && return 0
+ [ -f "$listfile" ] || return 0
while read -r f; do
[ -f "$cdir/$f" ] && x_ cp "$cdir/$f" "$dest_dir"